Page MenuHomePhabricator

category.py more - add "-noredirect" option
Closed, DeclinedPublic

Description

Add a -noredirect option as like movepages.py's. If bot has suppressredirect-rights, so source pages not need to be deleted after move.


Version: core-(2.0)
Severity: normal

Details

Reference
bz73196

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 4:00 AM
bzimport set Reference to bz73196.
bzimport added a subscriber: Unknown Object (????).
Steenth created this task.Nov 9 2014, 3:08 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 25 2016, 3:00 AM

Adding more context:

The category.py has an option to move category pages from one title to another (rename) and so on.
When the page is moved, the old page normally has a category redirect template added which helps in identifying where the category has moved for users who are used to the old category name. The -noredirect is useful for users with admin rights who can delete the category directly rather than adding the category redirect template.

JameerBabu added a subscriber: Aadith1996.
Xqt triaged this task as Low priority.Oct 29 2016, 11:51 AM
Xqt changed the task status from Open to Stalled.Oct 29 2016, 11:59 AM
Xqt added a subscriber: Xqt.

@Steenth: hm isn't this already done by default and may be overridden by '-nodelete' option?

Xqt changed the task status from Stalled to Open.Oct 29 2016, 12:41 PM
Xqt added a project: TestMe.

Yes this '-noredirect' behaviour is already done by default and may be switched off by '-nodelete'. Should be verified whether it works as expected.

Xqt closed this task as Declined.EditedNov 5 2016, 4:01 PM

The requested option already exists as the default behaviour. Use -nodelete to prevent it.

Xqt removed JameerBabu as the assignee of this task.Nov 5 2016, 4:02 PM
Xqt added a subscriber: JameerBabu.